/*
 * Created on 3/05/2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code Template
 */
package com.werken.classworlds;

import junit.framework.TestCase;

/**
 * @author <a href="bwalding@jakarta.org">Ben Walding</a>
 * @version $Id: EntryTest.java,v 1.1 2003/05/03 03:21:08 bwalding Exp $
 */
public class EntryTest extends TestCase
{

    /**
     * Constructor for EntryTest.
     * @param arg0
     */
    public EntryTest(String name)
    {
        super(name);
    }

    public void testCompareTo() throws Exception
    {
        ClassWorld cw = new ClassWorld();
        ClassRealmImpl r = (ClassRealmImpl) cw.newRealm("test1");

        Entry entry1 = new Entry(r, "org.test");
        Entry entry2 = new Entry(r, "org.test.impl");

        assertTrue("org.test > org.test.impl", entry1.compareTo(entry2) > 0);
    }

    /**
     * Tests the equality is realm independant
     * @throws Exception
     */
    public void testEquals() throws Exception
    {
        ClassWorld cw = new ClassWorld();
        ClassRealmImpl r1 = (ClassRealmImpl) cw.newRealm("test1");
        ClassRealmImpl r2 = (ClassRealmImpl) cw.newRealm("test2");

        Entry entry1 = new Entry(r1, "org.test");
        Entry entry2 = new Entry(r2, "org.test");

        assertTrue("entry1 == entry2", entry1.equals(entry2));
    }

}
